Redmine - Defect #33616

Assignee & Author Dropdown Sort
2020-06-17 16:38 - Victor Reinhart

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues filter Estimated time: 0.00 hour

Target version:

Resolution: Duplicate Affected version: 411

Description

In Redmine 4.1.1.stable, the Assignee and Author dropdowns seems to be in a random order.
Redmine plugins:

redmine_agile 1.5.3

redmine_issue_dynamic_edit 0.7.2

In the "Issues" tab, we add "Assignee", and see:

<<me>>

active (in bold)

(a list of users in what seems like a random order)

locked (in bold)

(a list of locked users in what seems like a random order)

Desired: A way to default the sort by first name, last name. About 100 users show in our dropdown, it is difficult to find the right
person. We recently upgraded to 4.1.1 from version 2.something.

| tried looking in Administration, Settings, Display, and have "Users display format" in "First Last" setting.
The dropdown does display the names in First Last format.

They just are in the wrong order. They are not sorted by Last Name. They are not sorted by First Name. They are not sorted by
Login. They are not sorted by creation date.

Please advise.

We use Redmine daily and really like it.
Thank you!

Related issues:
Is duplicate of Redmine - Defect #41079: Incorrect sorting of users grouped b... Closed

History

#1 - 2022-12-13 14:19 - Dimitar (RedmineUP)

Hello Victor,

This is Dimitar from the RedmineUP Support Team.
| see that you have some of our plugins on your list:
redmine_agile

So, could you please contact our support team at support@redmineup.com? And our support engineers will help you investigate the
situation.

We look forward to hearing from you.

Best Regards,
Dimitar from the RedmineUP Support Team
In the "Issues" tab, we add "Assignee", and see:
<<me>>

active (in bold)

(a list of users in what seems like a random order)
locked (in bold)

(a list of locked users in what seems like a random order)

Desired: A way to default the sort by first name, last name. About 100 users show in our dropdown, it is difficult to find the right person. We
recently upgraded to 4.1.1 from version 2.something.

| tried looking in Administration, Settings, Display, and have "Users display format" in "First Last" setting.
The dropdown does display the names in First Last format.

They just are in the wrong order. They are not sorted by Last Name. They are not sorted by First Name. They are not sorted by Login. They
are not sorted by creation date.

Please advise.

We use Redmine daily and really like it.
Thank you!

#2 - 2024-09-15 09:16 - Go MAEDA

- Is duplicate of Defect #41079: Incorrect sorting of users grouped by status in issue filters for administrators added

#3 - 2024-09-15 09:17 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Duplicate

Fixed in #41079.
